Skip to Content

Save post-delivery check-in setup references

Requires organization-wide access. Creates a setup under a new UUID with a null revision or replaces it with its current revision.

PUT
/v1/integrations/catalog/recipes/post-delivery-check-in/setups/{id}

Requires organization-wide access. Creates a setup under a new UUID with a null revision or replaces it with its current revision. Validates references without submitting provider requests.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json
  1. body
references*
revision*|null

Response Body

RecipeSetup

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
revision*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
references*
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeSetupReplace({
  "id": "example",
  "references": {
    "channel": "email"
  },
  "revision": "example"
});
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "revision": "b587a570-d9a5-40c2-87da-edba28b3005f",
  "references": {
    "channel": "email",
    "templateFamilyId": "string",
    "integrationAccountId": "string",
    "publicationId": "string",
    "senderId": "string",
    "whatsappAccountId": "string",
    "registrationId": "string",
    "mailboxEndpointId": "string",
    "journeyId": "string",
    "eventBindings": {
      "property1": "string",
      "property2": "string"
    }
  },
  "updatedAt": "string"
}

Related documentation